/* アプリの幅が広くなり過ぎないようにする */
/*
body {
    background: -moz-linear-gradient(top, #444, #333);
    background: -webkit-linear-gradient(top, #444, #333);
    background: linear-gradient(to bottom, #444, #333);
}

ons-navigator {
    --max-width: 1000px;
    left: max( (100% - var(--max-width))/2, 0px );
    right: max( (100% - var(--max-width))/2, 0px );
}
*/
/* ----- */

:root {
    --BaseColor: #415d60;

    --IncompleteColor: #aa5555;
    --PendingColor: #aaaa55;
    --CompleteColor: #55aa55;

    --FontSize-Regular: 15px;
    --FontSize-Small:   13px;
    --FontSize-Large:   17px;
    --FontSize-XLarge:  20px;

    --Margin-Large:  30px;
    --Margin-Small:  20px;
    --Margin-XSmall: 10px;
}

* {
    box-sizing: border-box;
}

hr {
    width: 90%;
    margin: 0 0 var(--Margin-Large) 0;
    border-top: 1px solid #ddd;
    border-width: 1px 0px 0px;
}

/* 画面幅によりplaceholderの文字がはみ出す場合、改行せず'...'にする */
ons-input span.text-input__label {
    width: 100%;
    font-size: 14px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

#MenuPage {
    font-size: 15px;
}

#MenuPageContainer {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
}

#MenuTop {
    width: 100%;
    height: 92px;
    background-color: #ffffff;
    border-bottom: 1px solid #ccc;
}

div.MenuTopContainer {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

div.MenuTopCatchphrase {
    width: 195px;
    height: 55px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #fff;
    font-size: 26px;
    font-family: Georgia, 'Times New Roman', Times, serif;
    font-weight: bold;
    color: rgb(0, 92, 28);
    border: solid 5px rgb(0, 92, 28);
    border-radius: 5px;
}

#MenuMiddle {
    width: 100%;
}

#MenuMiddle ons-list {
    padding: var(--Margin-Small) 0;
}

#CreatePDFButtonList {
    transition: background-color 1s;
    background-image: none;
}

#CreatePDFButtonList.flashBackgroundColor {
    background-color: #66adff;
    transition-duration: 0.5s;
}

#MenuBottom {
    flex-grow: 1;
    display: flex;
    align-items: flex-end;
    padding: 20px 10px;
}

#Menu_showCancelAccountPageButton {
    font-size: 14px;
    line-height: 1.5em;
}

ons-button.NegativeButton {
    color: #af5500;
    background-color: transparent;
}

/* メニューの右側に区切り線を見せるため */
ons-splitter-side .page__content {
    padding-right: 1px;
}

/* Action Sheetの表示でデスクトップに対応するための設定 */
/* 横幅が広がり過ぎないように｜画面の中央下に表示されるように */
    div.action-sheet {
        max-width: 400px;
        margin-left: auto;
        margin-right: auto;
    }
/* ------------------- */

/* アイコン付きTabbarの表示を修正 */
button.tabbar__button {
    height: 45px;
}

/* Tabbar material 修正*/
button.tabbar--material__button {
    color: #999;
}

:checked+.tabbar--material__button {
    color: #2979ff;
}

/* 幅広でのtab中央表示時に不具合があり、非表示にする */
.tabbar--material__border {
    display: none !important;
}
/* ------------- */


/* tabbar 幅広対応：広がり過ぎないように */
div.tabbar {
    display: flex;
    justify-content: center;
}

ons-tab.tabbar__item {
    max-width: 200px;
}
/* --------------- */


/* Toolbar タイトルの表示 */
ons-toolbar .center {
    /* width: 100%; */
    flex-grow: 1;
    display: flex;
    flex-wrap: wrap;
    align-content: center;
    padding: 0px 10px;
}

/* iOSではwidthが固定だったので上書き */
ons-toolbar .left, ons-toolbar .right {
    width: auto; 
}

ons-toolbar .left {
    min-width: unset;
}

.Toolbar_Title {
    width: 100%;
    font-size: 15px;
    line-height: 1.2;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.Toolbar_SubTitle {
    width: 100%;
    font-size: 10px;
    line-height: 1.2;
    color: #555555;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
/* ------------------- */

/* 画面下のToolbar */

.BottomToolbar_Container {
    width: 100%;
    max-width: 500px;
    height: 100%;
    margin: 0 auto;
    display: flex;
    justify-content: center;
    align-items: center;
}

.BottomToolbar_Button {
    width: 100%;
    border: none;
    background: transparent;
    text-align: center;
    color: #777;
    line-height: 1;
    touch-action: manipulation;
}

.BottomToolbar_Button__Icon {
    width: 100%;
    font-size: 24px;
}

.BottomToolbar_Button__Text {
    width: 100%;
    font-size: 10px;
}
/* --------------- */

ons-page#SplashContent #SplashContent_Container {
    width: 100%;
    height: 100%;

    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-content: center;
}

ons-page#SplashContent .SplashContent_LogoBox {
    width: 100%;
    font-size: 50px;
    padding: 20px 0px 50px 0px;
    
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

ons-input[type="text"], ons-input[type="password"], ons-select {
    width: 100%;
    margin-top: 10px;
}

input.text-input {
    font-size: 15px;
}

ons-page.Page_FormContent ons-list {
    background-color: transparent;
}

ons-list-item.list-item {
    padding: 0 8px 0px 14px;
}

.Form_Date label {
    margin: 0 10px;
}


/* Form Header, Title, SubTitle, OptionText */

    ons-list-header.list-header {
        /* margin-top: 25px; */
        margin-bottom: 5px;
        padding: 20px 0px 0px 5px;
        background-image: none;
        font-size: 15px;
        font-weight: normal;
        text-transform: none;
        color: rgb(0, 73, 22);
        background-color: transparent;
    }

    ons-list-header span.HeaderFormNumber {
        /* color: #777; */
        /* color: rgb(0, 92, 28); */
        color: #fff;
        background-color: rgb(0, 73, 22);
        border-radius: 5px;
        padding: 1px 7px;
        margin-right: 7px;
    }

    div.Form_SubHeader {
        margin-top: 10px;
        padding: 10px 0px 10px 10px;
        font-size: 15px;
        color: rgb(0, 92, 28);
        /* background-color: #ddd; */
        /* background-color: transparent; */
        /* color: #ffffff; */
        /* background-color: #aaa; */
    }

    div.Form_FormTitle {
        /* margin: 10px 14px 0px 14px; */
        margin-top: 10px;
        padding: 5px 0px 5px 14px;
        font-size: 14px;
        background-color: #ddd;
        /* background-color: transparent; */
        /* border-bottom: 1px solid #999; */
        /* font-weight: bold; */
        /* color: #777; */
        color: rgb(0, 92, 28);
        /* color: #3d5afe; */
    }

    ons-list-item.Form_OptionText {
        font-size: 13px;
        color: #555555;
    }

/* ------------------------------------- */

ons-list div.LabelJapanese {
    margin-right: 15px;
}

ons-list div.LabelEnglish {
    color: #777777;
}

ons-list.DetailForm_Box {
    /* padding: 15px 0px; */
    margin-bottom: 20px;
}

.list--inset {
    margin-top: 10px;
    margin-bottom: 10px;
}

div.FlexContainer {
    width: 100%;
    min-height: fit-content;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: flex-start;
}

div.FlexContainer .FlexFormBox {
    width: 100%;
    max-width: 450px;

    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;

    margin-top: var(--Margin-Large);
}

div.FlexContainer .FlexGroup {
    width: 100%;
    margin-bottom: var(--Margin-Large);
}

div.FlexContainer .FlexFormLine {
    width: 100%;
    padding: 0 30px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

div.FlexContainer .FlexFormText {
    width: 100%;
    padding: 0px 30px 10px;
    text-align: start;
    font-size: 15px;
}

div.FlexContainer .FlexFormLine ons-input {
    width: 90%;
    margin: 10px 0px;
}

div.FlexContainer .FlexFormLine ons-button {
    width: 90%;
    margin: 10px 0px;
}

div.FlexContainer .FlexFormTitle {
    width: 100%;
    text-align: center;
    margin-bottom: var(--Margin-Small);
}

div.FlexFormTitle .JapaneseTitle {
    font-size: var(--FontSize-Regular);
    font-weight: bold;
}

div.FlexFormTitle .EnglishTitle {
    font-size: var(--FontSize-Small);
}

div.FlexContainer .FlexFormHeader {
    width: 100%;
    text-align: center;
    padding-bottom: 5px;
    font-size: var(--FontSize-Small);
    color: #777;
}

div.FlexContainer .SignUpNotice {
    font-size: var(--FontSize-Small);
    color: #777;
    width: 90%;
    margin: 0px auto var(--Margin-Small);
    text-align: start;
}

div.FlexContainer .Catchphrase {
    width: 100%;
    margin-bottom: var(--Margin-Large);
    text-align: center;
    font-family: Georgia, 'Times New Roman', Times, serif;
}

div.FlexContainer .Catchphrase .Catchphrase_1 {
    font-size: 13px;
    color: #333;
    font-weight: bold;
    font-family: Roboto, Noto, sans-serif;
}

div.FlexContainer .Catchphrase .Catchphrase_2 {
    font-size: 16px;
    color: #333;
    font-weight: bold;
    font-family: Roboto, Noto, sans-serif;
}

div.FlexContainer .Catchphrase .Catchphrase_3 {
    font-size: 23px;
    color: rgb(0, 92, 28);
    padding-top: 20px;
    margin-bottom: 5px;
}

div.FlexContainer .Catchphrase .Catchphrase_4 {
    font-size: 35px;
    color: rgb(0, 92, 28);
    margin-bottom: 10px;
}

div.FlexContainer .Catchphrase .Catchphrase_box {
    width: 230px;
    height: 55px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #fff;
    font-size: 30px;
    font-weight: bold;
    color: rgb(0, 92, 28);
    margin: 0px auto var(--Margin-Small);
    border: solid 5px rgb(0, 92, 28);
    border-radius: 5px;
}

footer.FooterContainer {
    width: 100%;
    min-height: fit-content;
    padding: var(--Margin-Large) 0px;
    background-color: #555;
    font-size: var(--FontSize-Small);
    color: #ccc;
    display: flex;
    flex-direction: column;
    align-items: center;
}

footer.FooterContainer .Footer_Disclaimer {
    width: 100%;
    max-width: 500px;
    padding: 0px 20px;
}

footer.FooterContainer .Footer_Links {
    width: 100%;
    max-width: 500px;
    margin-top: 20px;
    text-decoration: underline;
    display: flex;
    justify-content: space-around;
}

div.PageContentContainer {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

#TermsContainer {
    width: 100%;
    padding: 20px 20px;
    font-size: 14px;
}

#TermsContainer h1 {
    font-size: 22px;
    font-weight: bold;
    padding: 30px 0px 15px;
}

#TermsContainer h2 {
    font-size: 19px;
    font-weight: bold;
    padding: 10px 0px 0px;
}

#TermsContainer h3 {
    font-size: 16px;
}

img#GoogleOAuthButton, #LINEOAuthButton, #LoginButton, #ShowSignUpFormButton, #SignUpButton {
    width: 90%;
    object-fit: contain;
}

div.DialogContent {
    width: 300px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    /* padding-bottom: 20px; */
    background-color: #fff;
}

div.DialogTitle {
    width: 100%;
    background-color: #555;
    color: #fff;
    font-size: 17px;
    text-align: center;
    font-weight: bold;
    padding: 10px 0;
}

span.DialogSubtitle {
    font-size: 17px;
    font-weight: bold;
}

div.DialogInnerBox {
    width: 100%;
    padding: 0px 15px;
    margin: 10px 0px;
    font-size: 15px;
}

div.DialogInnerBox ons-button {
    margin-bottom: 5px;
}

img#submitToYourSchool_Infographic {
    width: 80%;
    object-fit: contain;
    margin: 10px 0px;
}

#ShowSignUpFormButton {
    background-color: transparent;
    border: 1px solid #0076ff;
    color: #0076ff;
}


div.Form_Date__Container {
    display: flex;
    flex-wrap: nowrap;
    width: 100%;
}

ons-select.Form_Date__Year_3 {
    width: calc( ( 100% - 90px ) * 0.4 );
}

ons-select.Form_Date__Month_3 {
    width: calc( ( 100% - 90px ) * 0.3 );
}

ons-select.Form_Date__Day_3 {
    width: calc( ( 100% - 90px ) * 0.3 );
}

ons-select.Form_Date__Year_2 {
    width: calc( ( 100% - 60px ) * 0.6 );
}

ons-select.Form_Date__Month_2 {
    width: calc( ( 100% - 60px ) * 0.4 );
}

div.Form_Date__Label {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 30px;
    color: #777777;
}


div.Form_Text__Container {
    display: flex;
    align-items: inherit;
    flex-wrap: nowrap;
    width: 100%;
}

div.Form_Text__Input, div.Form_Date__Input {
    flex-grow: 1;
    display: inherit;
}

div.Form_Text__UnitLabel, div.Form_Date__UnitLabel {
    padding: 0 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #777777;
}

div.Form_Select__UnitLabel {
    padding: 10px 0px 0px 0px;
    color: #777777;
}

/* 幅の広い画面で中央に表示する */

div.FormFlexContainer {
    width: 100%;
    display: flex;
    justify-content: center;
}

div.FormFlexContainer .FormFlexFrame {
    width: 100%;
    max-width: 500px;
    padding: 10px 10px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

div.FormFlexContainer .FormFlexBox {
    width: 100%;
    max-width: 500px;
    padding: 0 5px 20px 0;
    font-size: 15px;
    border: 1px solid transparent;
}

div.FormFlexContainer .LinkToSchoolInnerBox {
    margin-top: 30px;
    padding: 0 10px 20px 10px;
}

div.LinkToSchoolInnerBox .title {
    font-size: 17px;
    color: #1f1f21;
}

div.FormInnerBox {
    display: flex;
    flex-wrap: nowrap;
}

div.FormContent {
    width: 100%;
}

div.FormFlexContainer .FormFlexBox:focus-within {
    background-color: #eee;
    border: 1px solid #ccc;
    border-radius: 5px;
}

ons-modal .Modal_Content {
    text-align: center;
}

ons-modal .Modal_PleaseWait_Message {
    width: 100%;
    text-align: center;
}

ons-modal .Modal_PleaseReload_Message {
    width: 100%;
    padding: 0px 20px 30px;
}

#G_recaptcha {
    padding: 20px 0px 10px;
}

ons-card {
    width: 100%;
    max-width: 500px;
}

#SchoolCodeFormButton {
    margin-top: 20px;
}

div.FormIndicator {
    width: 30px;
    padding-left: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
}

div.FormIndicator .FormIndicatorIcon {
    font-size: 18px;
    display: none;
    opacity: 0.5;
}

div.FormIndicator .FormIndicator_Spinner {
    color: #777;
}

div.FormIndicator .FormIndicator_Check {
    color: green;
    opacity: 0;
    transition-duration: 1.5s;
}

div.FormIndicator .FormIndicator_Exclamation {
    color: red;
    opacity: 0;
    transition-duration: 1.5s;
}

#OAuthForm, #PDFForm {
    display: none;
}

ons-icon {
    display: inline-block;
    width: 1.5em;
    text-align: center;
}

/* BottomToolbarの上にFabを表示するための微調整 */
ons-fab.BottomToolbarFab {
    bottom: 25px;
    display: none;
    /* font-size: 23px; */
}

div.FormMask {
    display: none;
    background-color: rgba(30, 30, 100, .3);
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
}

div.ProgressInfoCard {
    width: 300px;
    position: fixed;
    top: 130px;
    left: calc(50% - 150px);
    background-color: rgba(255, 255, 255, .8);
    padding: 10px;
    border-radius: 5px;
    font-size: 15px;
    text-align: center;
}

#BottomToolBar_Progress {
    display: none;
}

div.ProgressPage_Container {
    width: 100%;
    max-width: 500px;
    padding: 10px 10px;
}

div.ProgressPage_Box {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 25px 0px;
}

div.ProgressPage_Title {
    font-size: 16px;
    font-weight: bold;
    color: #333;
    margin-bottom: 10px;
}

img.ProgressImage {
    width: 55%;
    border-radius: 10px;
    object-fit: contain;
    opacity: 0.4;
}

img.ImageSelected {
    border: 5px solid green;
    opacity: 1;
}

ons-card#GuestCard {
    background-color: rgba(255,255,255,0.3);
    box-shadow: none;
    border: #ccc 2px dashed;
}

ons-card div.title {
    text-align: center;
    margin-bottom: var(--Margin-Small);
    font-size: var(--FontSize-XLarge);
    font-weight: bold;
}

div.CardSubTitle {
    font-size: var(--FontSize-Large);
    margin-top: var(--Margin-Large);
    margin-bottom: var(--Margin-XSmall);
    color: #333;
    font-weight: bold;
}

div.CardSubText {
    font-size: var(--FontSize-Regular);
    margin-bottom: var(--Margin-XSmall);
    color: #555;
}


.Popover_Desc {
    padding: 10px;
    font-size: 15px;
    text-align: center;
    color: #555;
}

.Popover_Label {
    background-color: var(--BaseColor);
    color: #fff;
    padding: 4px 10px;
    border-radius: 5px;
    line-height: 2;
}

.Popover_CloseButton {
    display: block;
    margin: 0 auto 15px auto;
    width: fit-content;
    font-size: 15px;
    padding: 0px 10px;
    color: #999;
    background: transparent;
    border: solid 1px #ccc;
}


/* 幅の広い画面で２列カード表示する */
/*
div.FormFlexContainer {
    width: 100%;
    display: flex;
    justify-content: center;
}

div.FormFlexContainer .FormFlexFrame {
    width: 100%;
    max-width: 1100px;

    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: flex-start;
}

@media (max-width: 1264px) {
    div.FormFlexContainer .FormFlexFrame {
         justify-content: space-around;
    }
}

div.FormFlexContainer .FormFlexBox {
    width: 100%;
    max-width: 500px;
}

@media (min-width: 765px) {
    div.FormFlexContainer .FormFlexBox {
        margin-top: 10px;
        margin-bottom: 10px;
        border: 1px solid #777777;
    }
}
*/